This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 177082 - Review Request: wm-icons
Review Request: wm-icons
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Luya Tshimbalanga
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 21:18 EST by jim
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:10:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jim 2006-01-05 21:18:09 EST
Spec Name or Url: http://www.fedorajim.homelinux.com/rpms/wm-icons/wm-icons.spec
SRPM Name or Url: http://www.fedorajim.homelinux.com/rpms/wm-icons/
Description: The Window Manager Icons is an efficient icon distribution designed to
be standardized and configurable.  Includes several themed icon sets,
scripts and configurations for several window managers.
Comment 1 Luya Tshimbalanga 2006-01-06 14:40:05 EST
At this line:
"Release		: 2.FC4%{?dist}"
Remove FC4 line since "%{?dist} already handle the release version (fc3, fc4, fc5).

On %doc line, INSTALL can be removed because users will do either rpm and yum
install. 
After making modification on both spec and SRPM, these packages should be
accepted for the next step.
Comment 2 jim 2006-01-12 20:17:25 EST
Here is a sucessfull build of wm-icons in mock  I have included everything mock
produced 
http://www.fedorajim.homelinux.com/rpms/mock-wm-icons-0.3.0-3/
Comment 3 Luya Tshimbalanga 2006-01-25 13:10:25 EST
+ mock succesfully build the source RPM

- Source0 should list the full path of URL: %{name}-%{version}.tar.bz2 should
be, for example, http://wm-icons.sourceforge.net/%{name}-%{version}.tar.bz2

- Changelog has a typo: 
" * Fri Jan 06 2006 James Lawrence <fedorajim@gmail.com> 0.4.0-3.FC4
- modified spec file removed FC4 from release line "
You mean version 0.3.0-3?

- rpmlint generated these errors:
W: wm-icons non-standard-group X11/Window Managers
W: wm-icons incoherent-version-in-changelog 0.4.0-3.FC4 0.3.0-3
E: wm-icons no-binary
W: wm-icons symlink-should-be-relative /usr/share/icons/wm-icons/menu
/usr/share/icons/wm-icons/16x16-general
E: wm-icons zero-length /usr/share/icons/wm-icons/16x16-kde/_symlinks.lst
W: wm-icons symlink-should-be-relative /usr/share/icons/wm-icons/norm
/usr/share/icons/wm-icons/48x48-general
E: wm-icons standard-dir-owned-by-package /usr/share/icons
W: wm-icons devel-file-in-non-devel-package /usr/bin/wm-icons-config
W: wm-icons symlink-should-be-relative /usr/share/icons/wm-icons/mini
/usr/share/icons/wm-icons/14x14-general


Could you make sure to do both md5sum and sha1sum on source tarball for both
SRPM and the downloaded tarball you received? These methods are used for
security process.
Comment 4 Christopher Stone 2006-06-06 20:11:31 EDT
Adding myself to CC list.  I might redo this package for use in metisse if there
are no objections.
Comment 5 Hans de Goede 2006-06-08 04:16:20 EDT
Jim,

Are you still interested in this? Ifso it would be nice if you could provide a 
new SRPM which addresses the issues rased in Comment #3, or are you waiting for
a full review before submitting a new version?

Shouldn't you respond within one week from now, I'll presume you have
lost interest into getting this package into FE and close this PR.

Chris,

If Jim doesn't respond in a reasonable amount of time feel free to take this one
over.
Comment 6 Hans de Goede 2006-06-14 02:54:31 EDT
Everyone please reread this bug (and comment), I think (but I'm not sure) we had
some progress which got lost due to the BZ crash, Thanks!
Comment 7 Christopher Stone 2006-06-14 03:02:18 EDT
This is what I have:

------- Additional Comments From fedorajim@gmail.com  2006-06-10 07:04 EST -------
I havn't had much time recently to much much of anything.  If someone is willing
to take over then that would be the best deal


At which point you closed the bug I think.
Comment 8 Hans de Goede 2006-06-14 03:10:56 EDT
I believe so too, if someone else wants to package it its best to start with a
fresh new review request, closing as wontfix.

Note You need to log in before you can comment on or make changes to this bug.